//-   ,       #define
//
//-    #define  ,      .              .
//
//-          ,  ,    ,    .  ,     .
//
//-     ,     #if, #else, #elif, #endif.

#include <stdio.h>
#include <math.h>
#include <locale.h>

#define step(x) x*x 
#define perimetr(a, b, c) a+b+c 


double vozvod(float x, float y, float x1, float y1)
{
	double d;
	float a = x1 - x;
	float b = y1 - y;
	d = step(a) + step(b);
    #if(!d)
	d = sqrt(d);
	return d;
    #endif
}

int is_treygolnik(double a, double b, double c)
{
	return (a + b > c) && (a + c > b) && (b + c > a);
}

void treygolnik(float x, float x1, float x2, float y, float y1, float y2)
{
	double a = vozvod(x, y, x1, y1);
	double b = vozvod(x1, y1, x2, y2);
	double c = vozvod(x2, y2, x, y);

	if (is_treygolnik(a, b, c))
	{
		double p = (perimetr(a, b, c))/2;
		printf(" \n");
		printf("  = %f\n", perimetr(a, b, c));
		printf("  = %f", sqrt(p*((p-a)*(p-b)*(p-c))));
	}
	else
	{
		printf("  ");
	}
}

void main()
{
	setlocale(LC_ALL, "Russian");
	float x;
	float x1;
	float x2;
	float y;
	float y1;
	float y2;
	printf_s("  x  1: \n");
	scanf_s("%f.2", &x);
	printf_s("  y  1: \n");
	scanf_s("%f.2", &y);
	printf_s("  x  2: \n");
	scanf_s("%f.2", &x1);
	printf_s("  y  2: \n");
	scanf_s("%f.2", &y1);
	printf_s("  x  3: \n");
	scanf_s("%f.2", &x2);
	printf_s("  y  3: \n");
	scanf_s("%f.2", &y2);

	treygolnik(x, x1, x2, y, y1, y2);

}

